# trgt_av.cpp File Reference

`#include "trgt_av.h"`
`#include <synfig/general.h>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Defines

#define | SYNFIG_NO_ANGLE
#define | MEGABYTES_PER_HOUR(x) (((x)*1024/3600*1024*8)/*/640*w/480*h*/)

## Functions

| SYNFIG_TARGET_INIT (Target_LibAVCodec)
| SYNFIG_TARGET_SET_NAME (Target_LibAVCodec,"libav")
| SYNFIG_TARGET_SET_EXT (Target_LibAVCodec,"avi")
| SYNFIG_TARGET_SET_VERSION (Target_LibAVCodec,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (Target_LibAVCodec,"$Id$")
AVFrame * | alloc_picture (int pix_fmt, int width, int height)
void | free_picture (AVFrame *pic)
static void | convert_surface_frame (AVFrame *pic, const Surface &s, const Gamma &gamma)

## Detailed Description

Todo:
  This needs to be documented further.

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE

#define MEGABYTES_PER_HOUR | ( | x |  | ) | (((x)*1024/3600*1024*8)/*/640*w/480*h*/)

Referenced by Target_LibAVCodec::set_rend_desc().

## Function Documentation

SYNFIG_TARGET_INIT | ( | Target_LibAVCodec |  | ) |

SYNFIG_TARGET_SET_NAME | ( | Target_LibAVCodec | ,
|  | "libav" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | Target_LibAVCodec | ,
|  | "avi" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | Target_LibAVCodec | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | Target_LibAVCodec | ,
|  | "$Id$" |  |
| ) |  |  |

AVFrame* alloc_picture | ( | int | pix_fmt,
|  | int | width,
|  | int | height |
| ) |  |  |

void free_picture | ( | AVFrame * | pic | ) |

static void convert_surface_frame | ( | AVFrame * | pic,
|  | const Surface & | s,
|  | const Gamma & | gamma |
| ) |  |  | `[static]`

References synfig::channels(), synfig::convert_color_format(), f, synfig::Color::get_a(), synfig::Color::get_b(), synfig::Color::get_g(), synfig::Color::get_r(), and synfig::PF_RGB.

Referenced by Target_LibAVCodec::end_frame().